Bug 55113 - divide by zero problem
divide by zero problem
Product: Red Hat Linux
Classification: Retired
Component: ImageMagick (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Depends On:
  Show dependency treegraph
Reported: 2001-10-25 14:54 EDT by David Mason
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-10-28 06:11:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Mason 2001-10-25 14:54:41 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.9-7 i686)

Description of problem:
I have this handy script that our docs dept uses to convert png screenshots
into eps files while providing scaling (to use: $png2eps --width=3
myfile.png) - the scaling is in inches. With the latest ImageMagick I get a
divide by zero error - If I back up to the package in 7.1 it is fine.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.grab my script at the URL provided
2.run it against a png image with scaling ($png2eps --width=3 myfile.png)

Additional info:
Comment 1 Olivier Baudron 2001-10-28 06:11:20 EST
--- png2eps.old Sun Oct 28 13:05:48 2001
+++ png2eps     Sun Oct 28 13:06:22 2001
@@ -24,7 +24,7 @@
 $imagesz = `identify $ARGV[0]`;
-($name, $size, $rest) =  split / /, $imagesz, 3;
+($name, $type, $size, $rest) =  split / /, $imagesz, 4;
 #print $name, " ", $size, " ", $rest, "\n";
 #print "imagesz = ",$size,"\n";
Comment 2 Bernhard Rosenkraenzer 2001-10-30 09:00:24 EST
Perl binding API change - please fix png2eps.

Note You need to log in before you can comment on or make changes to this bug.